package com.atlassian.bitbucket.ssh.validation;

import javax.validation.Constraint;
import javax.validation.Payload;
import java.lang.annotation.*;

/**
 * Validates the base URL for SSH functionality.
 */
@Constraint(validatedBy = {SshBaseUrlValidator.class})
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD, ElementType.FIELD})
public @interface SshBaseUrl {

    String message() default "{com.atlassian.bitbucket.validation.invalid.ssh.base.url}";

    Class<?>[] groups() default {};

    Class<? extends Payload>[] payload() default {};
}
